Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231778 - RFE: Maintain focus when prompting for keyring passphrase, etc.
Summary: RFE: Maintain focus when prompting for keyring passphrase, etc.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-keyring
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-11 17:14 UTC by Tom London
Modified: 2015-03-03 22:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-04-11 19:03:54 UTC


Attachments (Terms of Use)

Description Tom London 2007-03-11 17:14:27 UTC
Description of problem:
When NM prompts for my keyring passphrase, it looses focus if any other window
pops up. This occurs during 'wireless' boot up almost every time, and I end up
entering parts of my passphase 'in the clear' in some other window.

Any way to get these prompts to maintain input focus?

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1. 
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Alex Lancaster 2008-03-02 10:10:05 UTC
Not sure if this related, but I have a different focus problem with
gnome-keyring and NetworkManager, see bug #435596.

Comment 2 Matthias Clasen 2008-03-17 14:20:45 UTC
Recently, a focus problem in metacity was fixed. 

Can you try if metacity-2.22.0-2.fc9  fixes your focus problem ?

Comment 3 Tom London 2008-03-17 14:35:50 UTC
OK.  Will take me a day or two to recreate the scenario.

I'm running compiz.  Will that be a problem?

Comment 4 Tom London 2008-03-23 16:25:08 UTC
Sorry for the delay, but I can no longer reproduce: The new keyring/key
management no longer prompts as frequently as before.

Comment 5 John Poelstra 2008-04-11 19:03:54 UTC
Thanks for your update.  It appears this issue has resolved.  If it has not,
please reopen this bug.


Note You need to log in before you can comment on or make changes to this bug.